Package: groovy.org.codenarc.rule.junit

## [Groovy] Class JUnitUnnecessaryThrowsExceptionRule

- groovy.org.codenarc.rule.junit.JUnitUnnecessaryThrowsExceptionRule

- Check for throws clauses on JUnit test methods. That is not necessary in Groovy. This rule sets the default value of the <applyToClassNames> property to only match class names ending in 'Test', 'Tests' or 'TestCase'.

  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `applyToClassNames`
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### String applyToClassNames

    - #### Class astVisitorClass

    - #### String name

    - #### int priority